### Method

# Adw TimedAnimationset_duration

#### Declaration [src]

    void
    adw_timed_animation_set_duration (
      AdwTimedAnimation* self,
      guint duration
    )

#### Description [src]

Sets the duration of `self`.

If the animation repeats more than once, sets the duration of one iteration.

Sets property | `Adw.TimedAnimation:duration`

#### Parameters

`duration`

  Type: `guint`

  The duration to use, in milliseconds.